from core.modules.vistrails_module import Module, ModuleError

class SelfeData(Module):
    namespace = 'Data'
    SELFE_GRID = 0
    SELFE_SCALARS = 1
    SELFE_VECTORS = 2
    
    def __init__(self):
        Module.__init__(self)
        self.data = {}

    def compute(self):
        pass

    def get_data(self, selfe_type):
        return self.data[selfe_type]

    def get_grid(self):
        return self.get_data(self.SELFE_GRID)

    def get_scalars(self):
        return self.get_data(self.SELFE_SCALARS)

    def get_vectors(self):
        return self.get_data(self.SELFE_VECTORS)

    def set_data(self, d, selfe_type):
        self.data[selfe_type] = d
